<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net9.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="Autofac" Version="8.3.0" />
      <PackageReference Include="Dapper" Version="2.1.66" />
      <PackageReference Include="EFCore.NamingConventions" Version="9.0.0" />
      <PackageReference Include="Geralt" Version="3.3.0" />
      <PackageReference Include="JetBrains.Annotations" Version="2024.3.0" />
      <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="9.0.4" />
      <PackageReference Include="Microsoft.Extensions.Hosting" Version="9.0.4" />
      <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="9.0.4" />
      <PackageReference Include="Quartz.Extensions.Hosting" Version="3.14.0" />
    </ItemGroup>

    <ItemGroup>
      <ProjectReference Include="..\Femto.Common\Femto.Common.csproj" />
      <ProjectReference Include="..\Femto.Modules.Auth.Contracts\Femto.Modules.Auth.Contracts.csproj" />
    </ItemGroup>

</Project>
